Org settings, dashboards & reporting

Get Fireblocks Vault Accounts

Lists the org's Fireblocks vault accounts via the Fireblocks API.

GEThttps://api.toku.com/stablecoin-payroll/get-fireblocks-vault-accounts

Required scope: wallets:read

curl --request GET \
  --url 'https://api.toku.com/stablecoin-payroll/get-fireblocks-vault-accounts?orgID=%3CorgID%3E' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "vaultAccountId": "string",
    "vaultAccountName": "string"
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

orgIDstring<uuid>required

Response

200Successful response
vaultAccountIdstringrequired
vaultAccountNamestringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits